package com.jeeplus.modules.workreceiptsregister.entity;

import com.jeeplus.common.persistence.BaseEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;

public class WorkReceiptsRegisterBase extends BaseEntity<WorkReceiptsRegisterBase> {
    protected static final long serialVersionUID = -1L;
    protected Office company;
    protected Double receiptAmt;
    protected Double inAmt;
    protected Double outAmt;
    protected String receiptDate;
    protected Office office;
    protected String ext;
    protected Boolean branchFlag;
    private String sign;//判断显示部门还是分公司
    private String officeId;	// 提交人的部门编号
    private String companyId; //提交人的公司编号
    protected String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Office getCompany() {
        return company;
    }

    public void setCompany(Office company) {
        this.company = company;
    }

    public Double getReceiptAmt() {
        return receiptAmt;
    }

    public void setReceiptAmt(Double receiptAmt) {
        this.receiptAmt = receiptAmt;
    }

    public String getReceiptDate() {
        return receiptDate;
    }

    public void setReceiptDate(String receiptDate) {
        this.receiptDate = receiptDate;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public Double getInAmt() {
        return inAmt;
    }

    public void setInAmt(Double inAmt) {
        this.inAmt = inAmt;
    }

    public Double getOutAmt() {
        return outAmt;
    }

    public void setOutAmt(Double outAmt) {
        this.outAmt = outAmt;
    }

    public Boolean getBranchFlag() {
        return branchFlag;
    }

    public void setBranchFlag(Boolean branchFlag) {
        this.branchFlag = branchFlag;
    }

    @Override
    public void preInsert() {

    }

    @Override
    public void preUpdate() {

    }
}
